APIs / DuckDuckGo / Search

DuckDuckGo: Search

Search from DuckDuckGo as JSON. 1 credit per successful call.

GET /v1/duckduckgo/search

Parameters

Send parameters in the query string.

ParameterTypeRequiredAllowed values
qstringRequiredUp to 499 characters
klstringOptionalUp to 10 characters
dfstringOptionald, w, m, y
safebooleanOptionalAny
startintegerOptionalAny

Example request

cURLshell
curl "https://api.perceptlayer.com/v1/duckduckgo/search?q=laravel+taylor+otwell&kl=us-en&start=0" \
  -H "X-API-Key: $API_KEY"

Run this endpoint in the playground with your own parameters. 1 credit per successful call; failed calls are free.